org.apache.tools.ant.types.resources

## Class Tokens

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper
      - - org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper
        - - org.apache.tools.ant.types.resources.Tokens

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Iterable<Resource>, ResourceCollection

    public class Tokens
    extends BaseResourceCollectionWrapper

ResourceCollection consisting of StringResources gathered from tokenizing another ResourceCollection with a Tokenizer implementation.

Since:
  Ant 1.7

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Tokens()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(Tokenizer tokenizer)` Add the nested Tokenizer to this Tokens ResourceCollection.
`protected void` `dieOnCircularReference(java.util.Stack<java.lang.Object> stk, Project p)` Overrides the BaseResourceCollectionContainer version to check the nested Tokenizer.
`protected java.util.Collection<Resource>` `getCollection()` Sort the contained elements.
`void` `setEncoding(java.lang.String encoding)` Set the encoding used to create the tokens.

### Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper

`createIterator, getSize`

### Methods inherited from class org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper

`add, getResourceCollection, isCache, isFilesystemOnly, iterator, setCache, size, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Tokens

    public Tokens()

### Method Detail

#### getCollection

    protected java.util.Collection<Resource> getCollection()

Sort the contained elements.

Specified by:
  `getCollection` in class `BaseResourceCollectionWrapper`
Returns:
  a Collection of Resources.

#### setEncoding

    public void setEncoding(java.lang.String encoding)

Set the encoding used to create the tokens.

Parameters:
  `encoding` - the encoding to use.

#### add

    public void add(Tokenizer tokenizer)

Add the nested Tokenizer to this Tokens ResourceCollection. A LineTokenizer will be used by default.

Parameters:
  `tokenizer` - the tokenizer to add.

#### dieOnCircularReference

    protected void dieOnCircularReference(java.util.Stack<java.lang.Object> stk,
                                          Project p)
                                   throws BuildException

Overrides the BaseResourceCollectionContainer version to check the nested Tokenizer.

Overrides:
  `dieOnCircularReference` in class `AbstractResourceCollectionWrapper`
Parameters:
  `stk` - the stack of data types to use (recursively).
  `p` - the project to use to dereference the references.
Throws:
  `BuildException` - on error.